首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
11
V2EX  ›  程序员

关于 YouCompleteMe 和其他几个 code completion 的问题

  •  
  •   11 · 2014-03-10 18:45:18 +08:00 · 2707 次点击
    这是一个创建于 2147 天前的主题,其中的信息可能已经有所发展或是发生改变。
    1. 在 OS X 10.9 环境下,大家觉得哪个比较好用?
    2. 我在 Vundle 中配置了 YouCompleteMe 然后需要 compile 时候,提示检测到 Clang 5.0,但是 YCM 就开始自动下载 Clang 4.0 了。。。orz,这难道是正确的抉择么?然后我就取消了,以免遇到可能存在的版本冲突问题,你是怎么做的?
    3 回复  |  直到 1970-01-01 08:00:00 +08:00
    dorentus
        1
    dorentus   2014-03-10 21:46:42 +08:00   ♥ 1
    YouCompleteMe 感觉还是太慢(vim 启动时),于是没用(反正我也不拿它写 C++;ruby、js 什么的又用不着自动补全)。

    compile 的时候好像是有个参数可以指定使用系统自带的 clang 的吧,我记得。
    marchtea
        2
    marchtea   2014-03-10 22:15:00 +08:00   ♥ 1
    没有版本冲突问题。下载的那个是用来编译生成.so已供ycm使用的。
    可以使用system的clang。

    Usage: ./install.sh [--clang-completer [--system-libclang]] [--omnisharp-completer]

    我自己在使用YouCompleteMe。感觉还挺好用的。
    henices
        3
    henices   2014-03-11 09:00:50 +08:00   ♥ 1
    ./install.sh --clang-completer --system-libclang 就可以使用系统的clang,

    我目前觉得还是很不错的,尤其是写c++的时候。(启动时略慢)
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2073 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 27ms · UTC 09:20 · PVG 17:20 · LAX 01:20 · JFK 04:20
    ♥ Do have faith in what you're doing.